axis-c-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yampolsky, Robert" <ryamp...@harris.com>
Subject RE: Can't build 1.5 source - .deps not there
Date Tue, 24 May 2005 17:44:15 GMT
So, looking at the Makefile's I guess these .deps directories are
supposed to be generated on the fly by make running the 'depcomp'
script.

I'm running RHEL 3.0, but somebody here patched the system to load the
2.96 gcc toolset as required by Oracle 9 for its installation.  I undid
the symlinks between gcc->gcc295 and g++->g++296 to point them to the
gcc323 and g++323 versions, but I'm guessing that depcomp is using other
parts of the toolchain that are inconsisten, missing or whatever.

I've been able to get the makefiles to run by editing out all the DEPS
stuff, and I suppose that's alright, since I assume this is just for
automatic dependency detection.

So, bottom line, my question is this:

Am I looking for trouble getting Axis C++ to run on an RHEL 3.0 system
that has this hybrid compiler set?

Is it possible that other problems I've been having (can't get ?wsdl
URL's to work) could be related to this?

Thanks,
Rob

> _____________________________________________ 
> From: 	Yampolsky, Robert  
> Sent:	Monday, May 23, 2005 12:02 PM
> To:	'axis-c-user@ws.apache.org'
> Subject:	Can't build 1.5 source - .deps not there
> 
> I'm trying to build axisc++ from the 1.5.0 source.
> 
> Configure ran okay, but make reports failed attempts to access stuff
> in .deps subdirectories.  They're not there.  Is the source tarball
> bad, or is there something I can do at .configure time to make it not
> try to access these .deps subdirs?
> 
> R o b   Y a m p o l s k y
> Harris Corporation
> ryampols@harris.com
> (212) 303 - 4250
> 

Mime
View raw message